@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap%27');

body {
    display: none;
    font-family: 'Poppins', sans-serif !important;
    -webkit-touch-callout:none;
    -webkit-user-select:none;
    -moz-user-select:none;
    -ms-user-select:none;
    user-select:none;
}
#context-menu {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  
  width: 10%;
  max-height: 300px;
  
  direction: rtl;

  background-color: rgba(26, 32, 48, 0.635);
  border-radius: 5px;
}
#context-menu.active {
  transform:scale(1);
}
#context-menu .menu-item {
  padding:10px 12px;
  font-size:13px;
  color:#eee;
  direction: ltr;
}
#context-menu .menu-item:hover {
  background: linear-gradient(90deg, #242b3f85 0%, rgba(12,29,51,0) 68%);
}
#context-menu .menu-item i {
  display:inline-block;
  margin-right:5px;
}
#context-menu hr {
  margin:2px 0px;
  border-color:#555;
}
/* 
-Door menu-
-----------
*/
#door-menu::after {
  /* This is the Submenu Arrow */
  content: "";
  position: absolute;
  right: 5px;
  border: 5px solid transparent;
  border-left-color: #808080;
}

#context-menu #door-menu:hover::after { border-left-color: #fff; }

#door-sub-menu{
  position:absolute;
  z-index:10000;
  width:150px;
  left: 100%;
  background-color: #21202083;
  transform:scale(0);
  list-style-type: none;
}
#door-sub-menu .menu-item {
  padding:8px 10px;
  font-size:13px;
  color:#eee;
}
#door-sub-menu .menu-item:hover {
  font-family: 'Poppins', sans-serif !important;
  background: linear-gradient(90deg, #827e7e48 0%, rgba(12,29,51,0) 68%);
}
#door-sub-menu .menu-item i {
  display:inline-block;
  margin-right:5px;
}

.menu-item:hover > #door-sub-menu {
  opacity: 1;
  -webkit-transform: translate(0, 0) scale(1);
  transform: translate(0 ,-23px) scale(1);
  pointer-events: auto;
}





#window-menu::after {
  /* This is the Submenu Arrow */
  content: "";
  position: absolute;
  right: 5px;
  border: 5px solid transparent;
  border-left-color: #808080;
}

#context-menu #window-menu:hover::after { border-left-color: #fff; }

#window-sub-menu{
  position:absolute;
  z-index:10000;
  width:150px;
  left: 100%;
  background-color: #21202083;
  transform:scale(0);
  list-style-type: none;
}
#window-sub-menu .menu-item {
  padding:8px 10px;
  font-size:13px;
  color:#eee;
}
#window-sub-menu .menu-item:hover {
  font-family: 'Poppins', sans-serif !important;
  background: linear-gradient(90deg, #827e7e48 0%, rgba(12,29,51,0) 68%);
}
#window-sub-menu .menu-item i {
  display:inline-block;
  margin-right:5px;
}

.menu-item:hover > #window-sub-menu {
  opacity: 1;
  -webkit-transform: translate(0, 0) scale(1);
  transform: translate(0 ,-23px) scale(1);
  pointer-events: auto;
}



#entercar-menu::after {
  /* This is the Submenu Arrow */
  content: "";
  position: absolute;
  right: 5px;
  border: 5px solid transparent;
  border-left-color: #808080;
}

#context-menu #entercar-menu:hover::after { border-left-color: #fff; }

#entercar-sub-menu{
  position:absolute;
  z-index:10000;
  width:150px;
  left: 100%;
  background-color: #21202083;
  transform:scale(0);
  list-style-type: none;
}
#entercar-sub-menu .menu-item {
  padding:8px 10px;
  font-size:13px;
  color:#eee;
}
#entercar-sub-menu .menu-item:hover {
  font-family: 'Poppins', sans-serif !important;
  background: linear-gradient(90deg, #827e7e48 0%, rgba(12,29,51,0) 68%);
}
#entercar-sub-menu .menu-item i {
  display:inline-block;
  margin-right:5px;
}

.menu-item:hover > #entercar-sub-menu {
  opacity: 1;
  -webkit-transform: translate(0, 0) scale(1);
  transform: translate(0 ,-23px) scale(1);
  pointer-events: auto;
}





#neon-menu::after {
  /* This is the Submenu Arrow */
  content: "";
  position: absolute;
  right: 5px;
  border: 5px solid transparent;
  border-left-color: #808080;
}

#context-menu #neon-menu:hover::after { border-left-color: #fff; }

#neon-sub-menu{
  position:absolute;
  z-index:10000;
  width:150px;
  left: 100%;
  background-color: #21202083;
  transform:scale(0);
  list-style-type: none;
}
#neon-sub-menu .menu-item {
  padding:8px 10px;
  font-size:13px;
  color:#eee;
}
#neon-sub-menu .menu-item:hover {
  background: linear-gradient(90deg, #827e7e48 0%, rgba(12,29,51,0) 68%);
}
#neon-sub-menu .menu-item i {
  display:inline-block;
  margin-right:5px;
}

.menu-item:hover > #neon-sub-menu {
  opacity: 1;
  -webkit-transform: translate(0, 0) scale(1);
  transform: translate(0 ,-23px) scale(1);
  pointer-events: auto;
}
/* 
-Tow Menu-
----------
*/
#tow-menu::after {
  /* This is the Submenu Arrow */
  content: "";
  position: absolute;
  right: 5px;
  border: 5px solid transparent;
  border-left-color: #808080;
}

#context-menu #tow-menu:hover::after { border-left-color: #fff; }

#tow-sub-menu{
  position:absolute;
  z-index:10000;
  width:150px;
  left: 100%;
  background-color: #21202083;
  transform:scale(0);
  list-style-type: none;
}
#tow-sub-menu .menu-item {
  padding:8px 10px;
  font-size:13px;
  color:#eee;
}
#tow-sub-menu .menu-item:hover {
  background: linear-gradient(90deg, #827e7e48 0%, rgba(12,29,51,0) 68%);
}
#tow-sub-menu .menu-item i {
  display:inline-block;
  margin-right:5px;
}

.menu-item:hover > #tow-sub-menu {
  opacity: 1;
  -webkit-transform: translate(0, 0) scale(1);
  transform: translate(0, -23px) scale(1);
  pointer-events: auto;
}

/*
-Police Menu-
-------------
*/

#police-menu::after {
  /* This is the Submenu Arrow */
  content: "";
  position: absolute;
  right: 5px;
  border: 5px solid transparent;
  border-left-color: #808080;
}

#context-menu #police-menu:hover::after { border-left-color: #fff; }

#police-sub-menu{
  position:absolute;
  z-index:10000;
  min-width:150px;
  left: 100%;
  background-color: #21202083;
  transform:scale(0);
  list-style-type: none;
}
#police-sub-menu .menu-item {
  padding:8px 10px;
  font-size:13px;
  color:#eee;
}
#police-sub-menu .menu-item:hover {
  font-family: 'Poppins', sans-serif !important;
  background: linear-gradient(90deg, #827e7e48 0%, rgba(12,29,51,0) 68%);
}
#police-sub-menu .menu-item i {
  display:inline-block;
  margin-right:5px;
}

.menu-item:hover > #police-sub-menu {
  opacity: 1;
  -webkit-transform: translate(0, 0) scale(1);
  transform: translate(0 ,-23px) scale(1);
  pointer-events: auto;
}



#context-menu #steal:hover {
  background:rgb(255, 0, 0);
}
#context-menu #lockpick:hover {
  background:rgb(255, 0, 0);
}

#context-menu #context-menu {
  top: 4px;
  left: 99%;
}



